Bug 816315 - wildcard package selection broke in 2.11
wildcard package selection broke in 2.11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Mach
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 804216
  Show dependency treegraph
 
Reported: 2012-04-25 15:08 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 15:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wildcard fix (1.85 KB, patch)
2012-04-27 16:13 EDT, Daniel Mach
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2012-04-25 15:08:03 EDT
Description of problem:

Works in 2.10

Version-Release number of selected component (if applicable):

pungi-2.11-1.fc17

How reproducible:

100%

Steps to Reproduce:
1. Have, for example, man-pages-* in %packages
  
Actual results:

Pungi:WARNING: Could not find a match for man-pages-* in any configured repo

Expected results:

Gets man-pages-ru, man-pages-pl, etc.
Comment 1 Bill Nottingham 2012-04-25 15:35:34 EDT
Broken by:

commit 8ccc24e106f82438638c284f5875eda9a47b22f7
Author: Daniel Mach <dmach@redhat.com>
Date:   Fri Mar 2 03:33:00 2012 -0500

    Improve --nogreedy behaviour to select only the best packages for target arch. Also exact package arch can be selected by specifying $name.$arch in the config file.
Comment 2 Daniel Mach 2012-04-27 16:13:47 EDT
Created attachment 580857 [details]
wildcard fix

I think the attached patch should fix it, but I did not have do any exhaustive testing yet, only tested several use cases.
I'll do more tests once I'm back from vacation, which is mid next week.
Can you check if the patch works at least a bit as expected?
Comment 3 Bill Nottingham 2012-04-27 16:55:45 EDT
In testing the fix, it appears to be correct, but also appears to be a lot slower than 2.10 was. Will try and time it when I'm in front of the box again.
Comment 4 Fedora Update System 2012-05-03 18:28:35 EDT
pungi-2.11-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-5976/pungi-2.11-2.fc17
Comment 5 Fedora Update System 2012-05-03 23:10:24 EDT
Package pungi-2.11-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-2.11-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5976/pungi-2.11-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-21 15:09:00 EDT
pungi-2.11-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.